<template>
    <div>
        <!-- 详情弹窗 -->
        <vol-box :height="450" v-model="detialBox" :padding="15" title="日志详情">
         <div>
                id：{{ rowData.interface_id }}
                <hr />
                <b>时间：</b>
                {{ rowData.interface_createtime }}
                <br />
                <b>操作名称：</b>
                {{ rowData.interface_name }}
                <br />
                <b>描述：</b>
                {{ rowData.interface_remark }}
                <br />
                <b>错误信息：</b>
                <br />
                {{ rowData.interface_message }}
                <br />
                <br />
                <b>请求数据：</b>
                <br />
                <pre> {{ rowData.interface_paradata==""?rowData.interface_paradata:JSON.parse(rowData.interface_paradata) }}</pre>
                <br />
                <b>返回数据：</b>
                <pre>{{rowData.interface_returndata==""?rowData.interface_returndata:JSON.parse(rowData.interface_returndata)}}</pre>
            </div>  
        </vol-box>
    </div>
</template>
  
<script defer = "true">
import VolBox from "@/components/basic/VolBox.vue";

export default {
    components: { "vol-box": VolBox },
    methods: {},
    data() {
        return {
            detialBox: false,
            rowData: "",
        };
    },
    methods: {
        openDialog(row) {
            this.detialBox = true;
            this.rowData = row;
        }
    },
};
</script>
  
  
<style>
.formContainer {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
</style>
  